diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 7c23bcf..966fbc6 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -140875,7 +140875,8 @@ SystemODESolver(F, LO): Exports == Implementation where
       m:N := 0             -- number of Solutions
       part:V := new(n, 0)
       -- count first the different solutions
-      for sol in sols repeat m := m + count(#1 ^= 0, sol.basis)$List(F)
+      for sol in sols repeat 
+        m := m + count((f1:F):Boolean +-> f1 ^= 0, sol.basis)$List(F)
       SolMatrix:MF := new(n, m, 0)
       m := 0
       for sol in reverse_! sols repeat
@@ -140898,7 +140899,7 @@ SystemODESolver(F, LO): Exports == Implementation where
 
     triangulate(m:MF, v:V) ==
       k:N := 0       -- sum of companion-dimensions
-      rat := normalForm(m, 1, - diff #1)
+      rat := normalForm(m, 1, (f1:F):F +-> - diff f1)
       l   := companionBlocks(rat.R, rat.Ainv * v)
       ler:List(ER) := empty()
       for er in l repeat
@@ -140952,7 +140953,8 @@ SystemODESolver(F, LO): Exports == Implementation where
     solveInField(m, v, solve) ==
       ((n := nrows m) = ncols m) and
          ((u := M2F(diagonalMatrix [diff for i in 1..n] - m)) case MF) =>
-             (uu := solve(u::MF, v, FSL2USL solve(#1, #2))) case "failed" =>
+             (uu := solve(u::MF, v, 
+               (l1:LO,f2:F):USL +-> FSL2USL solve(l1, f2))) case "failed" =>
                   ["failed", empty()]
              rc := uu::Record(particular:V, basis:MF)
              [rc.particular, [column(rc.basis, i) for i in 1..ncols(rc.basis)]]
diff --git a/changelog b/changelog
index 8475823..889c402 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090622 tpd src/axiom-website/patches.html 20090622.01.tpd.patch
+20090622 tpd books/bookvol10.4 ODESYS +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.09.tpd.patch
 20090621 tpd books/bookvol10.4 SUBRESP +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 32e68d0..e05bb3d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1635,5 +1635,7 @@ bookvol10.4 STTF +-> conversion<br/>
 spline.input explain how to compute 2D splines<br/>
 <a href="patches/20090621.09.tpd.patch">20090621.09.tpd.patch</a>
 bookvol10.4 SUBRESP +-> conversion<br/>
+<a href="patches/20090622.01.tpd.patch">20090622.01.tpd.patch</a>
+bookvol10.4 ODESYS +-> conversion<br/>
  </body>
 </html>
